.vars:product-categorization:
  variables:
    # general
    PROJECT_NAME: "product-categorization"
    PROJECT_PATH: "functions/product-categorization"

changes:functions-product-categorization:
  stage: changes
  extends:
    - .vars:product-categorization
    - .rule:push:changes-lib-python
  trigger:
    include: lib/gitlab-ci/projects/python.yml
    strategy: depend

deploy-dev:functions-product-categorization:
  stage: deploy
  extends:
    - .vars:product-categorization
    - .vars:project-type:function
    - .vars:deploy-info
    - .vars:project-dev
  rules:
    - if: '$CI_PIPELINE_SOURCE == "push" && $CI_BUILD_REF_NAME == "dev"'
      changes:
        - $PROJECT_PATH/**/*
      when: on_success
    - if: '$CI_PIPELINE_SOURCE == "web" && $STAGE == "deploy" && $SERVICE_ENV == "dev" && $FUNCTIONS =~ /\bproduct-categorization\b/'
      when: on_success
  trigger:
    include: lib/gitlab-ci/projects/python.yml
    strategy: depend